# CppComponent

interface CppComponent

Represents a C++ component.

#### Since

4.10

#### Inheritors

CppTestSuite
CppLibrary
CppApplication

## Functions

getBaseName
Link copied to clipboard
abstract fun getBaseName(): String
Returns the base name of this component.
getBinaries
Link copied to clipboard
abstract fun getBinaries(): DomainObjectSet<out CppBinary>
All binaries buildable for this component.
getName
Link copied to clipboard
abstract fun getName(): String
Returns the name of this component.